Redmine - Feature #2312

Receiving an email, non plain text body to textile wiki format

2008-12-10 18:37 - youngseok yi

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

When receiving an email, non plain text body (almost html) are used as issue description.

2 options could be possible.

e convert the html body into textile wiki format
 force the body to plain text by stripping the markup

Also preprocessing (or manipulating) the e-mail before rdm-mailhandler.rb (if used) could be done, but it seems there are no smart

converter. (maybe not a scope of redmine)

Associated revisions

Revision 2136 - 2008-12-14 18:10 - Jean-Philippe Lang

Mail handler: strip tags when receiving a html-only email (#2312).

History

#1 - 2008-12-14 16:58 - Jean-Philippe Lang

If the email is multipart, the plain text part should be used.
Could you please attach the raw email so | can reproduce this problem?

#2 - 2008-12-14 18:10 - Jean-Philippe Lang
- Category set to Email notifications
- Status changed from New to Closed

- Resolution set to Fixed

Option 2 committed in r2136.
When receiving a html-only email, tags are now stripped.

#3 - 2008-12-16 08:06 - youngseok yi
Jean-Philippe Lang wrote:
When receiving a html-only email, tags are now stripped.

Thanks. it is working well for a couple of multipart with html body.
| hope wiki formatting from html to be supported in a future :).

#4 - 2008-12-17 14:34 - youngseok yi

just for an information.

ClothRed is a project to support html2textile conversion, but no update after 0.4.1 release (April 17, 2007).

#5 - 2009-02-02 20:58 - Digital Base

would be very nice indeed to convert the html mail (images etc) to textile format...

#6 - 2009-11-28 13:20 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving
https://www.redmine.org/projects/redmine/repository/svn/revisions/2136
http://rubyforge.org/projects/clothred/

#7 - 2011-07-18 17:24 - Rachid B

There is a new version on github.com https:/github.com/jystewart/html2textile
Maybe someone can write a handler?
https://github.com/jystewart/html2textile
http://www.tcpdf.org

